Subject: bug#69239: 30.0.50; number-at-point and bounds-of-thing-at-point disagree

From: Eli Zaretskii <[email-masked]>
Date: Sun, 25 Feb 2024 08:38:34 +0200

> From: Visuwesh <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 25 Feb 2024 10:12:10 +0530
> 
> [சனி பிப்ரவரி 24, 2024] Eli Zaretskii wrote:
> 
> > We could perhaps add something like this, but I don't think
> > bounds-of-thing-at-point can call THING-at-point for some THING,
> > because thing-at-point will cal bounds-of-thing-at-point, so this
> > could lead to an infinite recursion, right?
> 
> Looking at the definition of thing-at-point, it checks if THING's symbol
> property 'thing-at-point is non-nil first before falling back to using
> bounds-of-thing-at-point for THING.

I know, but the code clearly tells us that bounds-of-thing-at-point is
a lower-level primitive than thing-at-point, so the former should not
call the latter.

> But if you want to be on the safer side, then I can write a patch that
> doesn't use number-at-point.

Yes, please.

Thanks.